Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.profiling
Interface AuditTaskRecord

    public interface AuditTaskRecord

Method Summary
`java.util.List<java.lang.String>` | `getAllCatalogNames()`
`java.lang.String` | `getCatalogName()`
`java.util.List<java.lang.String>` | `getCatalogNames()`
`long` | `getCompleteTime()`
`java.lang.String` | `getFailReason()`
`int` | `getID()`
`int` | `getPageNumber()`
`void` | `getPageNumber(int pageNumber)`
`java.util.Map` | `getParameters()`
`java.lang.String` | `getReportName()`
`int` | `getRunTimes()`
`long` | `getStartTime()`
`long` | `getSubmitTime()`
`java.lang.String` | `getTaskID()`
`int` | `getTaskStatus()`
`int` | `getTaskType()`
`java.lang.String` | `getUserName()`
`void` | `setCatalogName(java.lang.String catalogName)`
`void` | `setCatalogNames(java.util.List<java.lang.String> catalogNames)`
`void` | `setCompleteTime(long completeTime)`
`void` | `setFailReason(java.lang.String failReason)`
`void` | `setID(int id)`
`void` | `setParameters(java.util.Map parameters)`
`void` | `setReportName(java.lang.String reportName)`
`void` | `setRunTimes(int runTimes)`
`void` | `setStartTime(long startTime)`
`void` | `setSubmitTime(long submitTime)`
`void` | `setTaskID(java.lang.String taskID)`
`void` | `setTaskStatus(int taskStatus)`
`void` | `setTaskType(int taskType)`
`void` | `setUserName(java.lang.String userName)`

Method Detail

### setID

    void setID(int id)

### getID

    int getID()

### setTaskID

    void setTaskID(java.lang.String taskID)

### getTaskID

    java.lang.String getTaskID()

### setReportName

    void setReportName(java.lang.String reportName)

### getReportName

    java.lang.String getReportName()

### setCatalogName

    void setCatalogName(java.lang.String catalogName)

### getCatalogName

    java.lang.String getCatalogName()

### setCatalogNames

    void setCatalogNames(java.util.List<java.lang.String> catalogNames)

### getCatalogNames

    java.util.List<java.lang.String> getCatalogNames()

### getAllCatalogNames

    java.util.List<java.lang.String> getAllCatalogNames()

### setUserName

    void setUserName(java.lang.String userName)

### getUserName

    java.lang.String getUserName()

### setTaskStatus

    void setTaskStatus(int taskStatus)

### getTaskStatus

    int getTaskStatus()

### setTaskType

    void setTaskType(int taskType)

### getTaskType

    int getTaskType()

### setRunTimes

    void setRunTimes(int runTimes)

### getRunTimes

    int getRunTimes()

### getPageNumber

    void getPageNumber(int pageNumber)

### getPageNumber

    int getPageNumber()

### setSubmitTime

    void setSubmitTime(long submitTime)

### getSubmitTime

    long getSubmitTime()

### setStartTime

    void setStartTime(long startTime)

### getStartTime

    long getStartTime()

### setCompleteTime

    void setCompleteTime(long completeTime)

### getCompleteTime

    long getCompleteTime()

### setFailReason

    void setFailReason(java.lang.String failReason)

### getFailReason

    java.lang.String getFailReason()

### setParameters

    void setParameters(java.util.Map parameters)

### getParameters

    java.util.Map getParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD